from actor import *
from sprite import *

class FinalDoor(Actor):
	def __init__( self, x, y, level ):
		super( FinalDoor, self ).__init__(x, y, level, None)
	
	def open(self):
		levelloader = self.level.levelloader
		levelloader.levelnumber = levelloader.levelnumber + 1
		levelloader.loadLevel("levels/Level%d.txt" % levelloader.levelnumber)
		return levelloader.level
		
	def render(self, images, screen):
		screen.blit(images[Sprite.DOOR], (self.x, self.y, TILESIZE, TILESIZE))
