from actor import *
from sprite import *

class KeyDoor(Actor):
	def __init__( self, x, y, level ):
		super( KeyDoor, self ).__init__(x, y, level, None)
	
	def open(self):
		level.open(self)
	
	def render(self, images, screen):
		screen.blit(images[Sprite.DOOR_LOCK], (self.x, self.y, TILESIZE, TILESIZE))
