from actor import *
from sprite import *

class ButtonDoor(Actor):
	def __init__( self, x, y, level, color ):
		super( ButtonDoor, self ).__init__(x, y, level, None)
		self.color = color
	
	def open(self):
		self.level.open(self)
		
	def render(self, images, screen):
		if self.color == "Red":
			screen.blit(images[Sprite.RED_DOOR], (self.x, self.y, TILESIZE, TILESIZE))
		elif self.color == "Yellow":
			screen.blit(images[Sprite.YELLOW_DOOR], (self.x, self.y, TILESIZE, TILESIZE))
		elif self.color == "Blue":
			screen.blit(images[Sprite.BLUE_DOOR], (self.x, self.y, TILESIZE, TILESIZE))
